Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.java.metadata
Class TypeMetadata

    java.lang.Object
      org.modeshape.sequencer.java.metadata.TypeMetadata

Direct Known Subclasses:
  ClassMetadata, InterfaceMetadata

    public class TypeMetadata

extends Object

Exposes meta data of a top level type.

Field Summary
`static int` | `PUBLIC_MODIFIER`

Constructor Summary
`TypeMetadata()`

Method Summary
`List<AnnotationMetadata>` | `getAnnotations()`
`List<FieldMetadata>` | `getFields()` Gets a ordered lists of `FieldMetadata` from the unit.
`List<String>` | `getInterfaceNames()`
`List<MethodMetadata>` | `getMethods()` Gets all `MethodMetadata` from the unit.
`List<ModifierMetadata>` | `getModifiers()`
`String` | `getName()` Get the name.
`String` | `getSuperClassName()`
`boolean` | `hasModifierNamed(String modifierName)`
`void` | `setAnnotations(List<AnnotationMetadata> annotations)`
`void` | `setFields(List<FieldMetadata> fields)`
`void` | `setMethods(List<MethodMetadata> methods)`
`void` | `setModifiers(List<ModifierMetadata> modifiers)`
`void` | `setName(String name)` Set the name.
`void` | `setSuperClassName(String superClassName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PUBLIC_MODIFIER

    public static final int PUBLIC_MODIFIER

See Also:
  Constant Field Values

Constructor Detail

### TypeMetadata

    public TypeMetadata()

Method Detail

### getName

    public String getName()

  Get the name.

  Returns:
    the name.

### setName

    public void setName(String name)

  Set the name.

  Parameters:
    `name` - Sets name to the specified value.

### getSuperClassName

    public String getSuperClassName()

### setSuperClassName

    public void setSuperClassName(String superClassName)

### getInterfaceNames

    public List<String> getInterfaceNames()

### getAnnotations

    public List<AnnotationMetadata> getAnnotations()

  Returns:
    annotations

### setAnnotations

    public void setAnnotations(List<AnnotationMetadata> annotations)

  Parameters:
    `annotations` - Sets annotations to the specified value.

### getModifiers

    public List<ModifierMetadata> getModifiers()

  Returns:
    modifiers

### setModifiers

    public void setModifiers(List<ModifierMetadata> modifiers)

  Parameters:
    `modifiers` - Sets modifiers to the specified value.

### hasModifierNamed

    public boolean hasModifierNamed(String modifierName)

  Parameters:
    `modifierName` - the name of the modifier to check for
  Returns:
    true if the type has a modifier of that name, otherwise false

### getFields

    public List<FieldMetadata> getFields()

  Gets a ordered lists of `FieldMetadata` from the unit.

  Returns:
    all fields of this unit if there is one.

### setFields

    public void setFields(List<FieldMetadata> fields)

  Parameters:
    `fields` - Sets fields to the specified value.

### getMethods

    public List<MethodMetadata> getMethods()

  Gets all `MethodMetadata` from the unit.

  Returns:
    all methods from the units.

### setMethods

    public void setMethods(List<MethodMetadata> methods)

  Parameters:
    `methods` - Sets methods to the specified value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.